<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();
echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td disabled align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&$session><b>إعدادات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=list&$session><b>ادارة تصنيفات المعرض</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=gallery&modid=$modid&op=info&$session><b>ملاحظات</b></a></td>
  </tr>
</table><br>";

if($apt->post[submit]){
$mod = $apt->get[mod];
    while (list($key,$value)= each($HTTP_POST_VARS))
    {
	  if(is_array($value)) $value  = $admin->myimplode($value);
	  else $value  = $admin->format_data($value);
        $result = $apt->query("update rafia_mods_settings set set_val='$value' WHERE set_var='$key' and set_mod='$mod'");
    }
	modmsg("تم تعديل الاعدادات بنجاح<br>سوف تنتقل الان الى صفحة الاعدادات");
}else{

$admin->openform("mod.php?act=edit&mod=gallery&".$admin->get_sess());
$admin->opentable('تعديل إعدادات ألبوم الصور');
editmodsetting($mod);
$admin->closetable();
$admin->submit(_UPDATE);
}
?>